package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxWeappReleaseStatus;
import com.iformall.domain.vo.WxWeappReleaseStatusVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface WxWeappReleaseStatusMapper extends CommonMapper<WxWeappReleaseStatus, Long> {

	List<WxWeappReleaseStatus> findList(WxWeappReleaseStatus wxWeappReleaseStatus);

    List<WxWeappReleaseStatusVo> findVoList(WxWeappReleaseStatusVo weappReleaseStatusVo);
	
	List<Map> findUserVersions(@Param(value = "type") Integer type);

	void updateStatus(WxWeappReleaseStatus weappRelaseStatus);

	
	
	
}
